﻿// hardcodet.net DebugActivity for Windows Workflow
// Copyright (c) 2008 Philipp Sumi, Evolve Software Technologies
// Contact and Information: http://www.hardcodet.net
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the Code Project Open License (CPOL);
// either version 1.0 of the License, or (at your option) any later
// version.
// 
// This software is provided "AS IS" with no warranties of any kind.
// The entire risk arising out of the use or performance of the software
// and source code is with you.
//
// THIS COPYRIGHT NOTICE MAY NOT BE REMOVED FROM THIS FILE.


namespace Hardcodet.WF.Util.Activities
{
  /// <summary>
  /// Defines the output mode of a given <see cref="DebugActivity"/>.
  /// </summary>
  public enum OutputMode
  {
    /// <summary>
    /// Outputs data to the console.
    /// </summary>
    Console = 0,
    /// <summary>
    /// Performs a debug output only.
    /// </summary>
    Debug = 1,
    /// <summary>
    /// Writes an assertion to the call stack.
    /// </summary>
    Assert = 2
  }
}