﻿// hardcodet.net DebugActivity for Windows Workflow
// Copyright (c) 2008 Philipp Sumi, Evolve Software Technologies
// Contact and Information: http://www.hardcodet.net
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the Code Project Open License (CPOL);
// either version 1.0 of the License, or (at your option) any later
// version.
// 
// This software is provided "AS IS" with no warranties of any kind.
// The entire risk arising out of the use or performance of the software
// and source code is with you.
//
// THIS COPYRIGHT NOTICE MAY NOT BE REMOVED FROM THIS FILE.


using System.Drawing;
using System.Drawing.Drawing2D;
using System.Workflow.ComponentModel.Design;

namespace Hardcodet.WF.Util.Activities.DesignTime.Themes
{
  public class DarkActivityTheme : ActivityDesignerTheme
  {
    public DarkActivityTheme(WorkflowTheme theme) : base(theme)
    {
    }

    public override void Initialize()
    {
      BackColorStart = Color.WhiteSmoke;
      BackColorEnd = Color.FromArgb(123, 123, 123);
      BorderColor = Color.FromArgb(200, 200, 200);
      BackgroundStyle = LinearGradientMode.Vertical;
      base.Initialize();
    }
  }
}